### Class

# RB TrackTransferQueue

#### Description

    class RB.TrackTransferQueue : GObject.Object
    {
      RBTrackTransferQueuePrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### rb_track_transfer_queue_new

Creates the `RBTrackTransferQueue` instance.

#### Instance methods

###### rb_track_transfer_queue_cancel_batch

Removes a transfer batch from the queue. If an entry from the batch is currently being transferred, the transfer will be aborted.

###### rb_track_transfer_queue_cancel_for_source

Cancels all transfers to or from a specified source.

###### rb_track_transfer_queue_find_batch_by_source

Finds all transfer batches where `source` is the source or destination. This should be used to wait for transfers to finish (or cancel them) before ejecting a device. The transfer batches are returned in the order they’re found in the queue, so waiting for the `RBTrackTransferBatch`::complete signal on the last one is sufficient to wait for them all to finish.

###### rb_track_transfer_queue_start_batch

Adds a new transfer batch to the transfer queue; if the queue is currently empty, the transfer will start immediately, but not before the call returns.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### RB.TrackTransferQueue:batch

The current `RBTrackTransferBatch` being processed.

###### RB.TrackTransferQueue:shell

The `RBShell`.

#### Signals

###### RB.TrackTransferQueue::missing-plugins

Emitted to request installation of one or more encoder plugins for a destination media format. When the closure included in the signal args is called, the transfer batch will be started.

###### RB.TrackTransferQueue::transfer-progress

Emitted regularly to convey progress information. At the end of any given transfer batch, there will be one signal emission with `done` == `total` and `fraction` == 1.0.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBTrackTransferQueueClass {
      GObjectClass parent_class;
      void (* transfer_progress) (
        RBTrackTransferQueue* queue,
        int done,
        int total,
        double fraction,
        int time_left
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`transfer_progress: void (* transfer_progress) ( RBTrackTransferQueue* queue, int done, int total, double fraction, int time_left )`

  No description available.

#### Virtual methods

###### RB.TrackTransferQueueClass.transfer_progress

No description available.